import { INode, ISettingField } from '@kernelsoft/lowcode-designer';
import { IShellModelFactory, IPublicModelNode } from '@kernelsoft/lowcode-types';
import { IPublicModelSettingField } from '../../../types/src/shell/model/setting-field';
declare class ShellModelFactory implements IShellModelFactory {
    createNode(node: INode | null | undefined): IPublicModelNode | null;
    createSettingField(prop: ISettingField): IPublicModelSettingField;
}
export declare const shellModelFactory: ShellModelFactory;
export {};
