"use strict";

exports.__esModule = true;
exports.shellModelFactory = void 0;
var _lowcodeShell = require("@kernelsoft/lowcode-shell");
var ShellModelFactory = /*#__PURE__*/function () {
  function ShellModelFactory() {}
  var _proto = ShellModelFactory.prototype;
  _proto.createNode = function createNode(node) {
    return _lowcodeShell.Node.create(node);
  };
  _proto.createSettingField = function createSettingField(prop) {
    return _lowcodeShell.SettingField.create(prop);
  };
  return ShellModelFactory;
}();
var shellModelFactory = exports.shellModelFactory = new ShellModelFactory();