"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.intl = exports.getLocale = void 0;
var _lowcodeEditorCore = require("@kernelsoft/lowcode-editor-core");
var _enUS = _interopRequireDefault(require("./en-US.json"));
exports.enUS = _enUS["default"];
var _zhCN = _interopRequireDefault(require("./zh-CN.json"));
exports.zhCN = _zhCN["default"];
var _ref = (_lowcodeEditorCore.createIntl === null || _lowcodeEditorCore.createIntl === void 0 ? void 0 : (0, _lowcodeEditorCore.createIntl)({
    'en-US': _enUS["default"],
    'zh-CN': _zhCN["default"]
  })) || {
    intl: function intl(id) {
      return _zhCN["default"][id];
    }
  },
  intl = exports.intl = _ref.intl,
  getLocale = exports.getLocale = _ref.getLocale;